/*==================================================
  Waterpark
==================================================*/

/*--------------------------------------
 Reset
--------------------------------------*/

.waterpark {
  width: 100%;
  font-family: "游ゴシック Medium", "Yu Gothic Medium", "游ゴシック体", "YuGothic", "ヒラギノ角ゴ ProN W3", "Hiragino Kaku Gothic ProN", "メイリオ", "Meiryo", "verdana", sans-serif;
}

.waterpark img {
  width: 100%;
  max-width: initial;
  display: inline;
}

.br_sp {
  display: none;
}

.br_pc {
  display: block;
}

/* スマホ */
@media screen and (max-width: 896px) {
  .br_sp {
    display: block;
  }

  .br_pc {
    display: none;
  }
}

/*==================================================
  Cover
==================================================*/

.waterpark .waterpark_cover {
  position: relative;
  overflow: hidden;
  isolation: isolate;
  width: 100%;
  height: auto;
  max-height: calc(100vh - 80px);
  aspect-ratio: 2 / 1;
  margin-top: 80px;
  background:
    url("../img/waterpark/mv_waterpark_pc.jpg") center center / cover no-repeat;
  transition: transform 5s ease;
}

.wave_wrap {
  width: 100%;
  position: absolute;
  bottom: 0;
  left: 0;
  z-index: 1;
}
.wave {
  position: relative;
  width: 100%;
  height: 100px;
}
.wave canvas {
  position: absolute;
  bottom: 0;
  left: 0;
  width: 100%;
}

/* スマホ */
@media screen and (max-width:896px) {
  .waterpark .waterpark_cover {
    width: 100%;
    margin-top: 60px;
    max-height: calc(100vh - 60px);
    background: url("../img/waterpark/mv_waterpark_sp.jpg") center center / cover no-repeat;
    aspect-ratio: 2 / 3;
  }

  .wave_wrap {
    bottom: -1px;
  }
}

/*==================================================
  Main
==================================================*/

.waterpark .waterpark_main {
  width: 100%;
  margin: 0 auto;
  background:
    linear-gradient(180deg,
      rgb(255 242 213) 0%,
      rgb(255 249 234) 8%,
      #ffffff 12%,
      rgb(201 236 252) 18%,
      rgb(7 94 147) 100%);
}

/*==================================================
  Intro
==================================================*/

.waterpark .waterpark_intro .waterpark_inner {
  width: 94%;
  max-width: 1200px;
  margin: 0 auto;
}

.waterpark_cover_txt {
  text-align: center;
  color: #007ecb;
  font-size: 4rem;
  font-weight: bold;
  line-height: 1.6;
  padding: 100px 0 20px 0;
}

.waterpark .waterpark_intro_txt {
  color: #333;
  text-align: center;
  font-size: 2rem;
  line-height: 2;
}

/* スマホ */
@media screen and (max-width:896px) {
  .waterpark_cover_txt {
    padding: 50px 0 20px 0;
    font-size: 2.4rem;
    line-height: 1.5;
  }

  .waterpark .waterpark_intro_txt {
    font-size: 1.5rem;
  }
}

/*==================================================
  Menu
==================================================*/

.waterpark .waterpark_menu {
  display: flex;
  justify-content: space-between;
  align-items: stretch;
  flex-wrap: wrap;
  gap: 2%;
  margin-top: 100px;
}

.waterpark .waterpark_menu a {
  width: 32%;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 14px;
  text-align: center;
  color: #fff;
  border-radius: 9999px;
  border: 1px solid #fff;
  background: #65b4db;
  transition:
    background .3s,
    transform .3s,
    box-shadow .3s;
}

.waterpark_menu a:hover {
  background: #0b7cc0;
  transform: translateY(-3px);
  box-shadow: 0 15px 25px rgba(0, 0, 0, .15);
}

/* スマホ */
@media screen and (max-width:896px) {
  .waterpark .waterpark_menu {
    margin-top: 50px;
    gap: 20px;
  }

  .waterpark .waterpark_menu a {
    width: 100%;
    min-height: 80px;
  }
}

/*==================================================
  Section Box
==================================================*/

.waterpark_box {
  width: 94%;
  max-width: 1200px;
  margin: 90px auto;
  background: url("../img/waterpark/athletic_bg01.png") center top / 40% no-repeat;
}

/* スマホ */
@media screen and (max-width:896px) {
  .waterpark_box {
    margin: 40px auto;
    background-size: 80%;
  }
}

/*==================================================
  H2
==================================================*/

.waterpark .h2_title {
  position: relative;
  padding: 50px 0 20px;
  margin-bottom: 50px;
  text-align: center;
  font-size: 2.2rem;
  font-weight: bold;
}

.waterpark .h2_title::before {
  content: "";
  position: absolute;
  top: -20px;
  left: 50%;
  transform: translateX(-50%);
  width: 25px;
  height: 25px;
  background-size: contain;
  background-repeat: no-repeat;
}

.waterpark .h2_title::after {
  content: "";
  position: absolute;
  left: 50%;
  bottom: -10px;
  transform: translateX(-50%);
  width: 100px;
  height: 2px;
}

/* スマホ */
@media screen and (max-width:896px) {
  .waterpark .h2_title {
    font-size: 2rem;
  }

  .waterpark .h2_title::after {
    width: 50px;
  }
}

/*==================================================
  Athletic
==================================================*/

.h2_athletic {
  color: #2c9cdf;
}

.h2_athletic::before {
  background-image: url("../img/waterpark/kira_icon_pink.svg");
}

.h2_athletic::after {
  background: #2c9cdf;
}

/*==================================================
  Slide
==================================================*/

.h2_slide {
  color: #0d81c7;
}

.h2_slide::before {
  background-image: url("../img/waterpark/kira_icon_blue.svg");
}

.h2_slide::after {
  background: #0d81c7;
}

/*==================================================
  BlueFlag
==================================================*/

.h2_blueflag {
  color: #20508f;
}

.h2_blueflag::before {
  background-image: url("../img/waterpark/kira_icon_green.svg");
}

.h2_blueflag::after {
  background: #20508f;
}

/*==================================================
  Text
==================================================*/

.p_txt_athletic,
.p_txt_slide,
.p_txt_blueflag {
  text-align: center;
  line-height: 2;
  font-size: 1.7rem;
}

.p_txt_athletic {
  color: #333;
}

.p_txt_slide {
  color: #4d4d4d;
}

.p_txt_blueflag {
  color: #f3faff;
}

/* スマホ */
@media screen and (max-width:896px) {

  .p_txt_athletic,
  .p_txt_slide,
  .p_txt_blueflag {
    font-size: 1.5rem;
  }
}

/*==================================================
  Image
==================================================*/

.slide_main_img {
  width: 100%;
  margin: 60px auto 0;
}

.slide_main_img img {
  display: block;
  width: 100%;
  border-radius: 18px;
}

/*========================================
  Footer
========================================*/

.waterpark .foot_info {
  width: 100%;
  margin-top: 100px;
  padding: 100px 0;
}

.waterpark .foot_info_inner {
  width: 94%;
  max-width: 1200px;
  margin: 0 auto;
  padding: 40px;
  border-radius: 32px;
  background-color: #fff;
  border: 4px solid #00a7e1;
  box-shadow: 0 16px 35px rgba(0, 91, 172, .14);
  text-align: center;
}

.foot_info_note_cooperate {
  margin-bottom: 20px;
  color: #ff2f7d;
  font-size: 48px;
  font-weight: bold;
}

.foot_info_note_p {
  color: #333;
  line-height: 2;
}

.foot_info_note_name {
  margin: 18px auto;
  color: #00a7e1;
  line-height: 1.8;
  font-size: 15px;
}

.foot_info_note_name span {
  font-size: 24px;
  font-weight: bold;
}

/* スマホ */
@media (max-width:896px) {
  .waterpark .foot_info {
    margin-top: 60px;
    padding: 60px 0;
  }

  .waterpark .foot_info_inner {
    padding: 10px;
  }

  .waterpark .foot_info_note {
    width: 100%;
    margin-left: 0;
  }

  .foot_info_note_cooperate {
    font-size: 32px;
  }

  .foot_info_note_name span {
    font-size: 18px;
  }
}

/*========================================
  Slider
========================================*/

.room_slider {
  position: relative;
  overflow: hidden;
}

.room_slider img {
  display: block;
  width: 100%;
  height: auto;
}

.room_slider .slick-prev,
.room_slider .slick-next {
  position: absolute;
  top: 50%;
  width: 16px;
  height: 16px;
  border-top: 2px solid #666;
  border-right: 2px solid #666;
  cursor: pointer;
  z-index: 5;
}

.room_slider .slick-prev {
  left: 12px;
  transform: translateY(-50%) rotate(-135deg);
}

.room_slider .slick-next {
  right: 12px;
  transform: translateY(-50%) rotate(45deg);
}

/* スマホ */
@media (max-width:896px) {
  .room_slider .slick-prev {
    left: 8px;
  }

  .room_slider .slick-next {
    right: 8px;
  }

  .slide_main_img {
    margin: 35px auto;
  }
}

/*========================================
  End
========================================*/